import express, { Request, Response } from 'express';

function get(req: Request, res: Response) {
	const revision = req.app.locals.versionRev;
	let updateAvailable = false;
	if(req.app.locals.versionRevLong !== req.app.locals.versionRevLatest) {
		updateAvailable = true;
	}
	
	res.status(200).send({ version: '1.0.0', commit: revision, updateAvailable: updateAvailable });
};

export default { get };
